
Redmine - Patch #38645

RuntimeError when calling Project#destroy with overridden activity time entry

2023-06-01 17:54 - Nishida Yuya

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Description

Enumeration has checks no records source:tags/5.0.5/app/models/enumeration.rb#L137 . So, TimeEntry is must be deleted before

deleting project specific TimeEntryActivity .

only apply test/unit/project_test.rb changes on patch

yuya@yoshiyuki|0:10:39|0% bundle exec ruby ./test/unit/project_test.rb -n 'ProjectTest#

test_destroy'

Run options: -n ProjectTest#test_destroy --seed 21856

# Running:

E

Error:

ProjectTest#test_destroy:

RuntimeError: Cannot delete enumeration

    app/models/enumeration.rb:137:in `check_integrity'

    app/models/enumeration.rb:90:in `destroy'

    test/unit/project_test.rb:251:in `test_destroy'

rails test test/unit/project_test.rb:228

Finished in 2.306284s, 0.4336 runs/s, 1.7344 assertions/s.

1 runs, 4 assertions, 0 failures, 1 errors, 0 skips

 

after apply all of patch

yuya@yoshiyuki|0:12:35|0% bundle exec ruby ./test/unit/project_test.rb -n 'ProjectTest#

test_destroy'

Run options: -n ProjectTest#test_destroy --seed 4288

# Running:

.

Finished in 2.949438s, 0.3390 runs/s, 3.7295 assertions/s.

1 runs, 11 assertions, 0 failures, 0 errors, 0 skips

Related issues:

Is duplicate of Redmine - Defect #38286: "Cannot delete enumeration" error ma... Closed

History

#1 - 2023-06-02 07:15 - Go MAEDA

- Status changed from New to Closed

Thank you for posting the patch but it has already been fixed in #38286.

#2 - 2023-06-02 07:15 - Go MAEDA

- Is duplicate of Defect #38286: "Cannot delete enumeration" error may occur when attempting to delete a project with time entries added
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/5.0.5/app/models/enumeration.rb#L137
https://www.redmine.org/issues/38286


#3 - 2023-06-02 09:41 - Nishida Yuya

Go MAEDA wrote in #note-1:

Thank you for posting the patch but it has already been fixed in #38286.

 Oh, sorry! Thanks your checking.

Files

0001-fix-Project-fix-RuntimeError-when-calling-Project-de.patch 2.16 KB 2023-06-01 Nishida Yuya
